First time here? Check out the FAQ!
x

Can I install Farsi and RTL support for the first generation of Kindle devices?

0 votes
asked by
edited by

Can I install Farsi and RTL support for the first generation of Kindle devices?

3 Answers

0 votes
answered by (100k points)

In order to properly read Farsi websites you will need to install the required font. Please obtain the font from Google and use Start > Run > type "fonts (without quotes) and press Enter, then simply drag and drop the TTF file you downloaded into that folder and refresh the website that it's using the Farsi font. If this operation failed, restart your computer and then try again to browse the page.

commented by (140 points)
It means that you are trying to virtually print a document to PDF but the required driver is not installed or not working properly. As it is recommended in the error message, please download the whole application again because it will also install the required driver.
0 votes
answered by

Hello and thanks for reply.
My question is regarding kindle and rtl pages.
sorry if I forgot mentioning this.
Thanks
Vafa

0 votes
answered by (194k points)
edited by

Farsi and RTL support on Kindle is done through flashing and modifying system files. If it's not done correctly you will end up with a device stuck in bootloop. Practically this is called a bricked device. I recommend on visiting a professional service shop to install these things. Otherwise you might lose warranty.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...